Event Records

An EventRecord is a durable event emitted by Files.com for routing through Event Channels.

List Event Records

Endpoint

GET/event_records

Return Object

EventRecord[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/event_records.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "workspace_id": 1,
    "event_uuid": "example",
    "event_type": "example",
    "severity": "example",
    "source_type": "example",
    "source_id": 1,
    "occurred_at": "2000-01-01T01:00:00Z",
    "human_title": "example",
    "human_summary": "example",
    "human_fields": [
      "example"
    ],
    "actor": "example",
    "resources": [
      "example"
    ],
    "payload": "example",
    "created_at": "2000-01-01T01:00:00Z"
  }
]

Show Event Record

Endpoint

GET/event_records/{id}

Return Object

EventRecord

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Event Record ID.

Example Request

curl https://app.files.com/api/rest/v1/event_records/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "workspace_id": 1,
  "event_uuid": "example",
  "event_type": "example",
  "severity": "example",
  "source_type": "example",
  "source_id": 1,
  "occurred_at": "2000-01-01T01:00:00Z",
  "human_title": "example",
  "human_summary": "example",
  "human_fields": [
    "example"
  ],
  "actor": "example",
  "resources": [
    "example"
  ],
  "payload": "example",
  "created_at": "2000-01-01T01:00:00Z"
}

The EventRecord Object

Some of the endpoints above return a EventRecord object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event Record ID
workspace_id
int64
Workspace ID. 0 means the default workspace or site-wide.
event_uuid
string
Stable event UUID.
event_type
string
Versioned event type string.
severity
string
Event severity.
Possible values: info, warning, error, critical
source_type
string
Source record type.
source_id
int64
Source record ID.
occurred_at
date-time
Event occurrence date/time.
human_title
string
Human-readable event title.
human_summary
string
Human-readable event summary.
human_fields
array(object)
Human-readable event detail fields.
actor
object
Actor associated with the event.
resources
array(object)
Resources associated with the event.
payload
object
Event payload.
created_at
date-time
Event Record create date/time.

Example EventRecord Object

{
  "id": 1,
  "workspace_id": 1,
  "event_uuid": "example",
  "event_type": "example",
  "severity": "example",
  "source_type": "example",
  "source_id": 1,
  "occurred_at": "2000-01-01T01:00:00Z",
  "human_title": "example",
  "human_summary": "example",
  "human_fields": [
    "example"
  ],
  "actor": "example",
  "resources": [
    "example"
  ],
  "payload": "example",
  "created_at": "2000-01-01T01:00:00Z"
}